# rust-ctr.spec
# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate ctr

Name:           compat-rust-%{crate}-0.6
Version:        0.6.0
Release:        1%{?dist}.1
Summary:        CTR block mode of operation

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/ctr
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(cipher/default) >= 0.2.0 with crate(cipher/default) < 0.3.0~)
%if %{with check}
BuildRequires:  (crate(aes/default) >= 0.6.0 with crate(aes/default) < 0.7.0~)
BuildRequires:  (crate(cipher/default) >= 0.2.0 with crate(cipher/default) < 0.3.0~)
BuildRequires:  (crate(cipher/dev) >= 0.2.0 with crate(cipher/dev) < 0.3.0~)
BuildRequires:  (crate(hex-literal/default) >= 0.2.0 with crate(hex-literal/default) < 0.3.0~)
%endif

%global _description %{expand:
CTR block mode of operation.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Feb  7 2022 Oleg Girko <ol@infoserver.lv> - 0.6.0-1
- Initial package
